## umbrello 20.08.1

=== debian/changelog ===
umbrello (4:20.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Sep 2020 17:49:56 +0200

umbrello (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Sat, 15 Aug 2020 08:49:03 +0200

umbrello (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes opening of files (Closes: #951421)
  * Update watch file to the new release-service location.
  * Switch Vcs-* fields to salsa.debian.org.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Update the build dependencies according to the upstream build system:
    - remove unused kinit-dev, libboost-dev, libkf5auth-dev,
      libkf5guiaddons-dev, libkf5parts-dev, and libkf5service-dev
    - explicitly add gettext
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.
  * Update lintian overrides.
  * Run the test suite at build time, since it seems to work fine:
    - add the xauth, and xvfb build dependencies
    - run dh_auto_test using xvfb-run

 -- Pino Toscano <pino@debian.org>  Fri, 31 Jul 2020 15:16:32 +0200
