## umbrello 20.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,18 +2,28 @@
 
 project(umbrello)
 
+if(POLICY CMP0028)
+    cmake_policy(SET CMP0028 OLD)
+endif()
+
+if(POLICY CMP0057)
+    cmake_policy(SET CMP0057 NEW)
+endif()
+
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "19")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 
 set(UMBRELLO_VERSION_MAJOR "2")
-set(UMBRELLO_VERSION_MINOR "30")
-if (KDE_APPLICATIONS_VERSION_MICRO GREATER_EQUAL 70)
+set(UMBRELLO_VERSION_MINOR "32")
+if (RELEASE_SERVICE_VERSION_MICRO GREATER_EQUAL 70)
     math(EXPR UMBRELLO_VERSION_MINOR "${UMBRELLO_VERSION_MINOR}-1")
 endif()
 
-set(UMBRELLO_VERSION_PATCH ${KDE_APPLICATIONS_VERSION_MICRO})
+set(UMBRELLO_VERSION_PATCH ${RELEASE_SERVICE_VERSION_MICRO})
+
+option(BUILD_APIDOC "Create api documentation" ON)
 
 option(BUILD_ICONS "Create icons from svg source" OFF)
 
@@ -24,6 +34,8 @@
 option(BUILD_KF5 "Build for KDE Frameworks 5" ON)
 
 option(BUILD_PHP_IMPORT "Build with php import support" ON)
+
+option(BUILD_QCH "Build with QCH support" ON)
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
@@ -48,6 +60,7 @@
     set(KDEV_MIN_VERSION 1.7.3)
     set(KDEV_SOURCE_DIR lib/kdev4-php)
     set(KDEV_COMPONENTS)
+    set(QTQCHDIR ${QT_DOC_DIR}/qch)
 else()
     set(APP_SUFFIX 5)
     set(LIB_PREFIX Qt5::)
@@ -68,6 +81,9 @@
     set(KDEV_MIN_VERSION 5.1.2)
     set(KDEV_SOURCE_DIR lib/kdev5-php)
     set(KDEV_COMPONENTS KDev::Interfaces KDev::Language KDev::Shell)
+    if(NOT QTQCHDIR)
+        set(QTQCHDIR ${KDE_INSTALL_QTQCHDIR})
+    endif()
 endif()
 
 # search packages used by Qt
@@ -113,18 +129,26 @@
     include_directories(
         ${KDEVPGQT_INCLUDE_DIR}
         ${KDEVPLATFORM_INCLUDE_DIR}
-        ${CMAKE_SOURCE_DIR}/${KDEV_SOURCE_DIR}/parser
-        ${CMAKE_BINARY_DIR}/${KDEV_SOURCE_DIR}/parser
     )
-    set(NO_INSTALL 1)
-    set(BUILD_PARSER_ONLY 1)
     set(BUILD_PHP_IMPORT 1)
     add_definitions(
-        -DKDEVPHPPARSER_EXPORT=
         -DENABLE_PHP_IMPORT
     )
     add_subdirectory(lib/kdevplatform)
-    add_subdirectory(${KDEV_SOURCE_DIR})
+    find_package(KDevPHP)
+    if(NOT KDevPHP_FOUND)
+        set(NO_INSTALL 1)
+        set(BUILD_PARSER_ONLY 1)
+        set(BUILD_PHP_IMPORT 1)
+        add_definitions(
+            -DKDEVPHPPARSER_EXPORT=
+        )
+        include_directories(
+            ${CMAKE_SOURCE_DIR}/${KDEV_SOURCE_DIR}
+            ${CMAKE_BINARY_DIR}/${KDEV_SOURCE_DIR}
+        )
+        add_subdirectory(${KDEV_SOURCE_DIR})
+    endif()
 else()
     set(BUILD_PHP_IMPORT 0)
 endif()
@@ -228,12 +252,49 @@
 # because of using umbrello specific XMI tag (UML:InstanceAttribute).
 add_unstable_feature(OBJECT_DIAGRAM) # see https://bugs.kde.org/show_bug.cgi?id=123633
 
-configure_file(Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile)
-find_program(DOXYGEN_EXECUTABLE doxygen)
-if(DOXYGEN_EXECUTABLE)
-    add_custom_target(apidoc
-        COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile
+# requires cmake >= 3.9.6
+find_package(Doxygen OPTIONAL_COMPONENTS dot)
+if(DOXYGEN_FOUND AND BUILD_APIDOC)
+    message(STATUS "found doxygen package")
+    find_program(QHELPGENERATOR_EXECUTABLE NAMES qhelpgenerator qhelpgenerator-qt5)
+    message(STATUS "found qhelpgenerator ${QHELPGENERATOR_EXECUTABLE}")
+    set(DOXYGEN_ABBREVIATE_BRIEF "The $name class" "The $name widget")
+    set(DOXYGEN_CALL_GRAPH YES)
+    set(DOXYGEN_EXCLUDE_PATTERNS */lib/*)
+    set(DOXYGEN_EXTRACT_ALL YES)
+    set(DOXYGEN_EXTRACT_PACKAGE YES)
+    set(DOXYGEN_EXTRACT_PRIVATE YES)
+    set(DOXYGEN_EXTRACT_STATIC YES)
+    set(DOXYGEN_GENERATE_HTMLHELP YES)
+    set(DOXYGEN_HAVE_DOT ${DOXYGEN_HAVE_DOT})
+    set(DOXYGEN_DOT_IMAGE_FORMAT svg)
+    set(DOXYGEN_MARKDOWN_SUPPORT NO)
+    set(DOT_GRAPH_MAX_NODES 0)
+    set(DOXYGEN_MAX_DOT_GRAPH_DEPTH 0)
+    set(DOXYGEN_PROJECT_BRIEF "Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology")
+    set(DOXYGEN_PROJECT_NUMBER ${UMBRELLO_VERSION_STRING})
+    #set(DOXYGEN_PROJECT_LOGO ${CMAKE_SOURCE_DIR}/umbrello/pics/global/hi32-apps-umbrello.png)
+    set(DOXYGEN_SOURCE_BROWSER NO)
+    set(DOXYGEN_UML_LOOK YES)
+    set(DOXYGEN_USE_PDFLATEX NO)
+    set(DOXYGEN_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/apidoc)
+
+    if(BUILD_QCH AND QHELPGENERATOR_EXECUTABLE)
+        set(DOXYGEN_GENERATE_QHP YES)
+        set(DOXYGEN_QCH_FILE ${CMAKE_BINARY_DIR}/umbrello.qch)
+        set(DOXYGEN_QHP_NAMESPACE org.kde.umbrello)
+        set(DOXYGEN_QHG_LOCATION ${QHELPGENERATOR_EXECUTABLE})
+        set(DOXYGEN_QHP_VIRTUAL_FOLDER doc)
+        install(FILES ${DOXYGEN_QCH_FILE} DESTINATION ${QTQCHDIR} COMPONENT Devel)
+    endif()
+
+    doxygen_add_docs(apidoc
+        ALL
+        ${CMAKE_SOURCE_DIR}
+        COMMENT "generating api doc"
     )
+
+    install(DIRECTORY ${CMAKE_BINARY_DIR}/apidoc DESTINATION ${UMBRELLO_DATA_INSTALL_DIR})
 endif()
 
 if(LIBXSLT_FOUND AND LIBXML2_FOUND)
