=== po/sv/docs/umbrello/CMakeLists.txt ===
add_subdirectory( apphelp )
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/${CURRENT_LANG}/ SUBDIR apphelp )
