=== debian/control ===
--- 
+++ 
@@ -33,9 +33,9 @@
                qtbase5-dev (>= 5.2.0~),
                xauth,
                xvfb,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://www.kde.org/
+Homepage: https://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/umbrello
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/umbrello.git
